return to index
VDKCheckButton class <checkbutton.h>

Inherits from VDKAbstractButton

Description

This class provides a check button widget.

Public members

None

Properties

bool Checked

char* Caption

bool CaptionWrap

Methods

- VDKCheckButton(VDKForm* owner, char* label = NULL, char* tip = 0)
Constructor
- virtual ~VDKCheckButton()
Destructor
- void Toggle()
Toggles check button status checked/unchecked
- void SetChecked(bool)
Set/unset check button.
- bool GetChecked(bool)
Get check button status

Signals

toggled_signal

Received whenever check button is pressed

using properties

bool Checked

Setting this properties toggles check button status and emits toggled_signal. Can be used to get check button status as well

EXAMPLES: In signalwin.cc and .h